local mod = ...



-- Asset ---------------------------------------------------------------------------------------------------
mod:registerAssetId("models/Hedge6.fbx/Materials/Material.Hedge", "MATERIAL_BATY_HEDGE")



-- Material ---------------------------------------------------------------------------------------------------
mod:override({
	Id = "MATERIAL_BATY_HEDGE",
	HasAlphaTest = true
})



-- Wall: Hedge 1 ---------------------------------------------------------------------------------------------------
mod:register({
	DataType = "WALL_CONFIG",
	Id = "WALL_BATY_HEDGE1",	
	WallConfigName = "WALL_BATY_HEDGE1_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_BATY_HEDGE",
	MaterialTop = "MATERIAL_BATY_HEDGE",
	Crenation = nil,
	CrenationDistance = nil,
	StepLength = nil,
	Width = 0.85,
	Height = 1.35,
	UvTillingWall = 0.35,
	UvTillingTop = 0.35,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})



-- Wall: Hedge 2 ---------------------------------------------------------------------------------------------------
mod:register({
	DataType = "WALL_CONFIG",
	Id = "WALL_BATY_HEDGE2",	
	WallConfigName = "WALL_BATY_HEDGE2_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_BATY_HEDGE",
	MaterialTop = "MATERIAL_BATY_HEDGE",
	Crenation = nil,
	CrenationDistance = nil,
	StepLength = nil,
	Width = 1.5,
	Height = 3, 
	UvTillingWall = 0.35,
	UvTillingTop = 0.35,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})



-- Wall: Hedge 3 ---------------------------------------------------------------------------------------------------
mod:register({
	DataType = "WALL_CONFIG",
	Id = "WALL_BATY_HEDGE3",
	WallConfigName = "WALL_BATY_HEDGE3_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_BATY_HEDGE",
	MaterialTop = "MATERIAL_BATY_HEDGE",
	Crenation = nil,
	CrenationDistance = nil,
	StepLength = nil,
	Width = 1.75,
	Height = 4.5, 
	UvTillingWall = 0.4,
	UvTillingTop = 0.4,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
